summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-admin/keepassxc/Manifest1
-rw-r--r--app-admin/keepassxc/keepassxc-2.3.1.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/app-admin/keepassxc/Manifest b/app-admin/keepassxc/Manifest
index 4daf71e0127..1dfdd0c468b 100644
--- a/app-admin/keepassxc/Manifest
+++ b/app-admin/keepassxc/Manifest
@@ -1,3 +1,4 @@
DIST keepassxc-2.1.4.tar.gz 3345520 BLAKE2B d599321a412abc05ad0a911b8fe4d14e840d491e59d3f33172a5e6b10812fe8e00d03f23abcc9637be1b8c16b5c7ec640bbc2af63059dc0dd25c99f0bdacfce9 SHA512 48030eb6df595c73644f43d6222654c5f76962ae5aa2f44ca4dc9c8e45726380c6be4300af7a8279b07c06b70912da444f2b17c5b6c37a91cb239d695e7518d8
DIST keepassxc-2.2.4.tar.gz 3895421 BLAKE2B 0de35f394dae8cf8d70f75d73783965826cc03ac9f0921afa547d02e61cb04be167891d92aa0db09f007c47e96a5a7e5793772c50de14bf65a7f80a603ca6611 SHA512 f3308138d63b65a8b384a52f4723507be921d7bbf19031724886fcd12266bf2683326f5531c8f665b0e98ff63cd97251694199ef748191e59a5a8cceb3710025
DIST keepassxc-2.3.0-src.tar.xz 3803400 BLAKE2B 1e9d72bb71e3db0f7f4662bca22affe68c0ac857ce3b7b67924949622edf3a4d2f54717c1c629d79c2cfeccd29d0f1906a8f43e49483980d11afbb654a132f4f SHA512 44721a4dd9364898c69a10d73ceb3fce9b8e83bbe261d9bc656897bc01f37e9b65b923867e18d3c3269773075ad846a0e1195d8b7bf574fcbce7bef9a5778888
+DIST keepassxc-2.3.1-src.tar.xz 4085284 BLAKE2B 87ffb8a266056a147e84f97980eb19df64947fc56a6e39733269f4b88287c01dd8508792c22f247b05918f8beb98ea651c3bf91b642f863be2a4742e3e425fd0 SHA512 06c1b42e699b21c0cc2a6e7340649fa8964d8a0c880efad512f3ba16e12ee07a1b2b5ff13e0b3dc8d3f58fdf4f523cee3d1ef477a83ea434d97690dfea0633c9
diff --git a/app-admin/keepassxc/keepassxc-2.3.1.ebuild b/app-admin/keepassxc/keepassxc-2.3.1.ebuild
new file mode 100644
index 00000000000..69a10050827
--- /dev/null
+++ b/app-admin/keepassxc/keepassxc-2.3.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="KeePassXC - KeePass Cross-platform Community Edition"
+HOMEPAGE="https://keepassxc.org"
+
+if [[ "${PV}" != 9999 ]] ; then
+ #SRC_URI="https://github.com/keepassxreboot/keepassxc/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ SRC_URI="https://github.com/keepassxreboot/keepassxc/releases/download/${PV}/${P}-src.tar.xz"
+ KEYWORDS="~amd64 ~x86"
+else
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/keepassxreboot/${PN}"
+fi
+
+LICENSE="LGPL-2.1 GPL-2 GPL-3"
+SLOT="0"
+IUSE="autotype browser debug network test yubikey"
+
+RDEPEND="
+ app-crypt/argon2:=
+ dev-libs/libgcrypt:=
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ sys-libs/zlib
+ autotype? (
+ dev-qt/qtx11extras:5
+ x11-libs/libX11
+ x11-libs/libXi
+ x11-libs/libXtst
+ )
+ browser? ( >=dev-libs/libsodium-1.0.12 )
+ yubikey? ( sys-auth/ykpers )
+"
+
+DEPEND="
+ ${RDEPEND}
+ dev-qt/linguist-tools:5
+ dev-qt/qttest:5
+ dev-qt/qtconcurrent:5
+"
+
+src_prepare() {
+ use test || \
+ sed -e "/^find_package(Qt5Test/d" -i CMakeLists.txt || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWITH_GUI_TESTS=OFF
+ -DWITH_TESTS="$(usex test)"
+ -DWITH_XC_AUTOTYPE="$(usex autotype)"
+ -DWITH_XC_BROWSER="$(usex browser)"
+ -DWITH_XC_HTTP=OFF
+ -DWITH_XC_NETWORKING="$(usex network)"
+ -DWITH_XC_SSHAGENT=ON
+ -DWITH_XC_YUBIKEY="$(usex yubikey)"
+ )
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}